Package weka.gui.explorer

# Class Explorer

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
weka.gui.explorer.Explorer

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`

public class Explorer extends JPanel
The main class for the Weka explorer. Lets the user create, open, save, configure, datasets, and perform ML analysis.

Version:
  $Revision: 15305 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)
See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Explorer.CapabilitiesFilterChangeEvent`
  This event can be fired in case the capabilities filter got changed
  `static interface`
  `Explorer.CapabilitiesFilterChangeListener`
  Interface for classes that listen for filter changes.
  `static interface`
  `Explorer.ExplorerPanel`
  A common interface for panels to be displayed in the Explorer
  `static interface`
  `Explorer.LogHandler`
  A common interface for panels in the explorer that can handle logs

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.BaselineResizeBehavior`

- ## Field Summary

  ### Fields inherited from class javax.swing.JComponent

  `TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Explorer()`
  Creates the experiment environment gui with no initial experiment

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCapabilitiesFilterListener(Explorer.CapabilitiesFilterChangeListener l)`
  adds the listener to the list of objects that listen for changes of the CapabilitiesFilter
  `Vector<Explorer.ExplorerPanel>`
  `getPanels()`
  returns all the panels, apart from the PreprocessPanel
  `PreprocessPanel`
  `getPreprocessPanel()`
  returns the instance of the PreprocessPanel being used in this instance of the Explorer
  `JTabbedPane`
  `getTabbedPane()`
  returns the tabbed pane of the Explorer
  `static void`
  `main(String[] args)`
  Tests out the explorer environment.
  `void`
  `notifyCapabilitiesFilterListener(Capabilities filter)`
  notifies all the listeners of a change
  `boolean`
  `removeCapabilitiesFilterListener(Explorer.CapabilitiesFilterChangeListener l)`
  Removes the specified listener from the set of listeners if it is present.
  `void`
  `terminate()`
  Terminates this panel, which means, in the case of this panel, that it terminates the associated LogPanel.

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Explorer

    public Explorer()
    Creates the experiment environment gui with no initial experiment

- ## Method Details

  - ### terminate

    public void terminate()
    Terminates this panel, which means, in the case of this panel, that it terminates the associated LogPanel.

  - ### getPanels

    public Vector<Explorer.ExplorerPanel> getPanels()
    returns all the panels, apart from the PreprocessPanel
    Returns:
      the currently displayed panels w/o PreprocessPanel

  - ### getPreprocessPanel

    public PreprocessPanel getPreprocessPanel()
    returns the instance of the PreprocessPanel being used in this instance of the Explorer
    Returns:
      the panel

  - ### getTabbedPane

    public JTabbedPane getTabbedPane()
    returns the tabbed pane of the Explorer
    Returns:
      the tabbed pane

  - ### addCapabilitiesFilterListener

    public void addCapabilitiesFilterListener(Explorer.CapabilitiesFilterChangeListener l)
    adds the listener to the list of objects that listen for changes of the CapabilitiesFilter
    Parameters:
      `l` - the listener to add
    See Also:
      - `m_CapabilitiesFilterChangeListeners`

  - ### removeCapabilitiesFilterListener

    public boolean removeCapabilitiesFilterListener(Explorer.CapabilitiesFilterChangeListener l)
    Removes the specified listener from the set of listeners if it is present.
    Parameters:
      `l` - the listener to remove
    Returns:
      true if the listener was registered

  - ### notifyCapabilitiesFilterListener

    public void notifyCapabilitiesFilterListener(Capabilities filter)
    notifies all the listeners of a change
    Parameters:
      `filter` - the affected filter

  - ### main

    public static void main(String[] args)
    Tests out the explorer environment.
    Parameters:
      `args` - ignored.